# XQilla Simple API Documentation

# ResultImpl Class Reference

A lazily evaluated query result. More...

`#include <ResultImpl.hpp>`

Inheritance diagram for ResultImpl:
[legend]

List of all members.

## Public Member Functions

virtual | ~ResultImpl ()
Result * | getResultPointer ()
void | setResultPointer (Result *p)
virtual Item::Ptr | next (DynamicContext *context)
| Get the next item from the iterator. Returns null if the is no next value.
virtual Item::Ptr | nextOrTail (Result &tail, DynamicContext *context)
| Gets the next item, or returns a tail call Result which will give the next item.
virtual Sequence | toSequence (DynamicContext *context)
| Cast operator to a Sequence.
virtual void | toResultBuffer (unsigned int readCount, ResultBuffer &buffer)
| Returns a result buffer of the result.
virtual void | skip (unsigned count, DynamicContext *context)
| Skip ahead.

## Protected Member Functions

| ResultImpl (const LocationInfo *o)

## Protected Attributes

Result * | resultPointer_

## Detailed Description

A lazily evaluated query result.

## Constructor & Destructor Documentation

virtual ResultImpl::~ResultImpl | ( |  | ) | `[inline, virtual]`

ResultImpl::ResultImpl | ( | const LocationInfo * | o | ) | `[protected]`

## Member Function Documentation

Result* ResultImpl::getResultPointer | ( |  | ) | `[inline]`

virtual Item::Ptr ResultImpl::next | ( | DynamicContext * | context | ) | `[virtual]`

Get the next item from the iterator. Returns null if the is no next value.

virtual Item::Ptr ResultImpl::nextOrTail | ( | Result & | tail,
|  | DynamicContext * | context |
| ) |  |  | `[virtual]`

Gets the next item, or returns a tail call Result which will give the next item.

void ResultImpl::setResultPointer | ( | Result * | p | ) | `[inline]`

virtual void ResultImpl::skip | ( | unsigned | count,
|  | DynamicContext * | context |
| ) |  |  | `[virtual]`

Skip ahead.

virtual void ResultImpl::toResultBuffer | ( | unsigned int | readCount,
|  | ResultBuffer & | buffer |
| ) |  |  | `[virtual]`

Returns a result buffer of the result.

virtual Sequence ResultImpl::toSequence | ( | DynamicContext * | context | ) | `[virtual]`

Cast operator to a Sequence.

## Member Data Documentation

Result* ResultImpl::resultPointer_ `[protected]`

The documentation for this class was generated from the following file:

- ResultImpl.hpp